summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/zend-opcache/README6
-rw-r--r--libraries/zend-opcache/slack-desc19
-rw-r--r--libraries/zend-opcache/zend-opcache.SlackBuild100
-rw-r--r--libraries/zend-opcache/zend-opcache.info10
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/zend-opcache/README b/libraries/zend-opcache/README
new file mode 100644
index 0000000000..790dd6af76
--- /dev/null
+++ b/libraries/zend-opcache/README
@@ -0,0 +1,6 @@
+The Zend OPcache provides faster PHP execution through opcode
+caching and optimization. It improves PHP performance by
+storing precompiled script bytecode in the shared memory.
+This eliminates the stages of reading code from the disk and
+compiling it on future access. In addition, it applies a few
+bytecode optimization patterns that make code execution faster.
diff --git a/libraries/zend-opcache/slack-desc b/libraries/zend-opcache/slack-desc
new file mode 100644
index 0000000000..4443b3307a
--- /dev/null
+++ b/libraries/zend-opcache/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zend-opcache: zend-opcache (PHP opcode caching and optimization)
+zend-opcache:
+zend-opcache: The Zend OPcache provides faster PHP execution through opcode
+zend-opcache: caching and optimization. It improves PHP performance by
+zend-opcache: storing precompiled script bytecode in the shared memory.
+zend-opcache: This eliminates the stages of reading code from the disk and
+zend-opcache: compiling it on future access. In addition, it applies a few
+zend-opcache: bytecode optimization patterns that make code execution faster.
+zend-opcache:
+zend-opcache: Homepage: http://pecl.php.net/package/ZendOpcache/
+zend-opcache:
diff --git a/libraries/zend-opcache/zend-opcache.SlackBuild b/libraries/zend-opcache/zend-opcache.SlackBuild
new file mode 100644
index 0000000000..5231763f04
--- /dev/null
+++ b/libraries/zend-opcache/zend-opcache.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# SlackBuild script for "zend-opcache".
+
+# Copyright 2013 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zend-opcache
+SRCNAM=zendopcache
+VERSION=7.0.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$SRCNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+phpize
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --enable-opcache \
+ --build=$ARCH-slackware-linux
+
+make
+make install-modules INSTALL_ROOT=$PKG
+
+find $PKG | xargs file | grep -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/zend-opcache/zend-opcache.info b/libraries/zend-opcache/zend-opcache.info
new file mode 100644
index 0000000000..87d73f07fa
--- /dev/null
+++ b/libraries/zend-opcache/zend-opcache.info
@@ -0,0 +1,10 @@
+PRGNAM="zend-opcache"
+VERSION="7.0.1"
+HOMEPAGE="http://pecl.php.net/package/ZendOpcache/"
+DOWNLOAD="http://pecl.php.net/get/zendopcache-7.0.1.tgz"
+MD5SUM="3a0a43a4819c72763bc35ecf5689221e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"